from django.db import models
from articlescommandee.models import ArticleCommandee
from retours.models  import Retour
from decimal import Decimal
from django.core.validators import MinValueValidator

# Create your models here.

class DetailRetour(models.Model):
	retour = models.ForeignKey(Retour, on_delete=models.SET_NULL, null=True, blank=True)
	quantitee_renvoyee  = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	quantitee_recu = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	article_commandee = models.ForeignKey(ArticleCommandee, on_delete=models.SET_NULL, null=True, blank=True)
	quantitee_renvoyee_quantitee_recu = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	total = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	taux = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])

	







